Multivariate Pattern Analysis in Python

# mvpa2.clfs.warehouse.SquaredExponentialKernel

class `mvpa2.clfs.warehouse.``SquaredExponentialKernel`(length_scale=1.0, sigma_f=1.0, **kwargs)

  The Squared Exponential kernel class.

  Note that it can handle a length scale for each dimension for Automtic Relevance Determination.

  Attributes

  `descr` | Description of the object if any
  `length_scale` |

  Methods

  Initialize a Squared Exponential kernel instance.

  Parameters:

  length_scale : float or numpy.ndarray, optional

  > the characteristic length-scale (or length-scales) of the phenomenon under investigation. (Defaults to 1.0)

  sigma_f : float, optional

  > Signal standard deviation. (Defaults to 1.0)

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  Attributes

  `descr` | Description of the object if any
  `length_scale` |

  Methods

  `compute_lml_gradient`(alphaalphaT_Kinv, data)

    Compute grandient of the kernel and return the portion of log marginal likelihood gradient due to the kernel. Shorter formula. Allows vector of lengthscales (ARD).

  `compute_lml_gradient_logscale`(alphaalphaT_Kinv, data)

    Compute grandient of the kernel and return the portion of log marginal likelihood gradient due to the kernel. Hyperparameters are in log scale which is sometimes more stable. Shorter formula. Allows vector of lengthscales (ARD).

  `length_scale`
  `reset`()
  `set_hyperparameters`(hyperparameter)

    Set hyperaparmeters from a vector.

    Used by model selection.